Bug 720713 - Copy-and-paste error in /etc/rc.d/init.d/shorewall6
Summary: Copy-and-paste error in /etc/rc.d/init.d/shorewall6
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: shorewall
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jonathan Underwood
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-12 15:13 UTC by Paul Howarth
Modified: 2011-09-29 03:23 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-09-07 00:22:57 UTC


Attachments (Terms of Use)

Description Paul Howarth 2011-07-12 15:13:06 UTC
Description of problem:
The LSB header in /etc/rc.d/init.d/shorewall6 has "# Provides: shorewall" rather than "# Provides: shorewall6", leading to systemd complaining about it if both shorewall and shorewall6 are installed:

Jul 12 16:02:28 myhostname systemd[1]: [/etc/rc.d/init.d/shorewall6:9] Failed to add LSB Provides name shorewall.service, ignoring: File exists

(this is when using "systemctl enable" for any service)

Version-Release number of selected component (if applicable):
shorewall6-4.4.19.4-1.fc15

Comment 1 Fedora Update System 2011-07-21 21:33:59 UTC
shorewall-4.4.21.1-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/shorewall-4.4.21.1-3.fc14

Comment 2 Fedora Update System 2011-07-21 21:36:43 UTC
shorewall-4.4.21.1-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/shorewall-4.4.21.1-3.fc15

Comment 3 Fedora Update System 2011-07-21 21:38:19 UTC
shorewall-4.4.21.1-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/shorewall-4.4.21.1-3.el6

Comment 4 Fedora Update System 2011-07-21 21:39:51 UTC
shorewall-4.4.21.1-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/shorewall-4.4.21.1-3.el5

Comment 5 Fedora Update System 2011-07-22 19:29:12 UTC
Package shorewall-4.4.21.1-3.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing shorewall-4.4.21.1-3.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/shorewall-4.4.21.1-3.el6
then log in and leave karma (feedback).

Comment 6 Paul Howarth 2011-07-23 15:25:29 UTC
With 4.4.21.1-3.fc15, shorewall fails to restart:

Jul 23 16:07:19 goalkeeper shorewall[19760]: Compiling...
Jul 23 16:07:20 goalkeeper shorewall[19760]: Processing /etc/shorewall/params ...
Jul 23 16:07:20 goalkeeper shorewall[19760]: Can't exec "/usr/libexec/shorewall/getparams": Permission denied at /usr/share/perl5/Shorewall/Config.pm line 3223.
Jul 23 16:07:20 goalkeeper shorewall[19760]:    ERROR: Processing of /etc/shorewall/params failed
Jul 23 16:07:20 goalkeeper logger: ERROR:Shorewall restart failed
Jul 23 16:07:20 goalkeeper systemd[1]: shorewall.service: control process exited, code=exited status=13

/usr/libexec/shorewall/getparams needs to be executable. After chmod 755, it worked.

Less obviously, compiler.pl needs to be executable too. On reloading shorewall6, it failed and I got this in syslog:

Jul 23 16:13:43 goalkeeper shorewall6[20260]: Compiling...
Jul 23 16:13:43 goalkeeper shorewall6[20260]:    ERROR: Shorewall6 requires the shorewall package which is not installed
Jul 23 16:13:43 goalkeeper shorewall6[20260]: /sbin/shorewall6: line 325: kill: (20259) - Permission denied
Jul 23 16:13:43 goalkeeper systemd[1]: shorewall6.service: control process exited, code=exited status=1

Making compiler.pl (from the shorewall package) executable made shorewall6 work again.

Original problem with initscripts is resolved.

Comment 7 Fedora Update System 2011-07-28 13:09:21 UTC
shorewall-4.4.21.1-3.el5.1 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/shorewall-4.4.21.1-3.el5.1

Comment 8 Fedora Update System 2011-07-28 13:10:18 UTC
shorewall-4.4.21.1-3.el6.1 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/shorewall-4.4.21.1-3.el6.1

Comment 9 Fedora Update System 2011-07-28 13:11:18 UTC
shorewall-4.4.21.1-3.fc14.1 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/shorewall-4.4.21.1-3.fc14.1

Comment 10 Fedora Update System 2011-07-28 13:12:11 UTC
shorewall-4.4.21.1-3.fc15.1 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/shorewall-4.4.21.1-3.fc15.1

Comment 11 Fedora Update System 2011-08-11 17:48:20 UTC
shorewall-4.4.22-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/shorewall-4.4.22-2.fc15

Comment 12 Fedora Update System 2011-08-22 15:41:18 UTC
shorewall-4.4.22.3-2.fc15.1 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/shorewall-4.4.22.3-2.fc15.1

Comment 13 Fedora Update System 2011-08-22 15:42:11 UTC
shorewall-4.4.22.3-2.fc14.1 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/shorewall-4.4.22.3-2.fc14.1

Comment 14 Fedora Update System 2011-08-22 15:42:54 UTC
shorewall-4.4.22.3-2.el6.1 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/shorewall-4.4.22.3-2.el6.1

Comment 15 Fedora Update System 2011-09-07 00:22:43 UTC
shorewall-4.4.22.3-2.fc15.1 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2011-09-07 00:23:54 UTC
shorewall-4.4.22.3-2.fc14.1 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2011-09-28 23:05:22 UTC
shorewall-4.4.23.3-1.el5.1 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/shorewall-4.4.23.3-1.el5.1

Comment 18 Fedora Update System 2011-09-29 03:23:18 UTC
shorewall-4.4.22.3-2.el6.1 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.